events.listen('recipes', function (e) {

//Laser Drill

    oreLaser('forge:ores/amethyst', 'industrialforegoing:laser_lens10')
    oreLaser('forge:ores/green_sapphire', 'industrialforegoing:laser_lens13')
    oreLaser('forge:ores/zinc', 'industrialforegoing:laser_lens8')
    oreLaser('forge:ores/dimshard', 'industrialforegoing:laser_lens0')
    oreLaser('forge:ores/prosperity', 'industrialforegoing:laser_lens0')
    oreLaser('forge:ores/inferium', 'industrialforegoing:laser_lens5')

  function oreLaser (ore, lens) {e.custom(
      {"type": "forge:conditional","recipes": [{"conditions": [{"value": {"tag": ore,"type": "forge:tag_empty"},"type": "forge:not"}],"recipe": {"output": {"tag": ore},"rarity": [{"whitelist": {},"blacklist": {"type": "minecraft:worldgen/biome","values": ["minecraft:the_end","minecraft:the_void","minecraft:small_end_islands","minecraft:end_barrens","minecraft:end_highlands","minecraft:end_midlands"]},"depth_min": 30,"depth_max": 70,"weight": 6},{"whitelist": {},"blacklist": {"type": "minecraft:worldgen/biome","values": ["minecraft:the_end","minecraft:the_void","minecraft:small_end_islands","minecraft:end_barrens","minecraft:end_highlands","minecraft:end_midlands"]},"depth_min": 0,"depth_max": 255,"weight": 1}],"pointer": 0,"catalyst": {"item": lens},"type": "industrialforegoing:laser_drill_ore"}}]})}

})